<%@ Page Language="C#" MasterPageFile="~/webUser/MasterPage.master" AutoEventWireup="true" Inherits="webUser_modiPass" Title="Untitled Page" Codebehind="modiPass.aspx.cs" %>
<asp:Content ID="Content1" ContentPlaceHolderID="Content1" Runat="Server">
<form runat="server" id="form1">
<script type="text/javascript" language="javascript" src="../system/JS/JFramework.js"></script>
<script type="text/javascript" language="javascript" src="../system/JS/Sys.js"></script>
<script type="text/jscript" language="javascript" src="../system/IEintegratedData/js/IEsendxml.js"></script>
<script type="text/javascript" language="javascript">

function savedate()
{  
  var oldPass=$("oldPass").value;
  var newPass=$("newpass").value;
  var newPassR=$("newPassR").value;
  if(oldPass.length>5)
  {    
      if(newPass.toString()===newPassR.toString())
      {
            if(newPass.length>5)
            {   var objAjax=new JAjax();
                 var objResponse=new JHttpResponse();
                 objResponse.write("oldPass",oldPass);
                 objResponse.write("newPass",newPass);
                 var out=objAjax.getText("post","modiPass.aspx?type=update",objResponse,null);                
                 if(out=="OK")
                 {
                   sendxml();
                   alert("密码修改成功");
                 }
            }
            else
            {
              alert("新密码长度不能够小于6位"); 
            }
      }
      else
      {
       alert("两次输入的新密码必须相同");
      }
  }  
  else
  {
    alert("旧密码长度不能够小于6位");
  }
}
</script>
 <div class="maxTitle">修改密码</div>
  <asp:Panel ID="Panel1" runat="server"  Width="300px">
<div>输入旧密码:<input id="oldPass" type="password" title="旧密码" maxlength="25" notNull="1" isV="1" /></div>
<div>输入新密码:<input id="newPass" name="newpass" type="password"  title="新密码" maxlength="25" notNull="1" isV="1"/></div>
<div>确认新密码:<input id="newPassR" name="newpass" type="password"  title="重复密码" maxlength="25" notNull="1" isV="1"/></div>
<div><input id="Button1" type="button" value="提交" onclick="savedate()" /></div>
</asp:Panel>
</form>
</asp:Content>